Bug 128342 - pstree broken in gnome-terminal with a UTF-8 LANG set.
Summary: pstree broken in gnome-terminal with a UTF-8 LANG set.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vte (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-21 22:21 UTC by Jason Smith
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:22:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Smith 2004-07-21 22:21:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
The pstree output is not formatted correctly when a UTF-8 LANG is set
in a gnome-terminal.  The -U flag does not help either, but setting
LANG to en_US will fix it.  The xterm program doesn't have this problem.


Version-Release number of selected component (if applicable):
psmisc-21.3-1.RHEL.0

How reproducible:
Always

Comment 1 Charlie Bennett 2004-09-22 21:14:06 UTC
I suspect this is a gnome-terminal problem.  Will evaluate.

Comment 2 Jason Smith 2004-09-23 14:16:09 UTC
I played around some more and I think the problem comes from an
inconsistency between the shell's LANG setting and what the
gnome-terminal has set for its "Character Coding" option setting,
which is made worse by the fact that the gnome/gtk menu indicators
don't seem to work in the theme that I use (Crux).  If I change my
LANG setting in my shell init scripts, then start a gnome-terminal, it
just uses its last remembered value for char coding, which is
different from what the shell has.  Shouldn't the gnome-terminal
detect the shell's LANG setting and use that?

Comment 4 RHEL Product and Program Management 2007-10-19 19:22:19 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.